Contents

# Right Function

Vraća desnih "n" znakova od string izraza.

See also: Left Function.

### Syntax:

    Right (string As String, length As Long)

### Return value:

Znakovni niz

### Parameters:

string: Any string expression that you want to return the rightmost characters of.

length: Numeric expression that defines the number of characters that you want to return. If length = 0, a zero-length string is returned. The maximum allowed value is 2,147,483,648.

Sljedeći primjer pretvara nadnevak iz YYYY-MM-DD formata u US format nadnevka (MM/DD/YYYY).

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("molim unesite datum u međunarodnom formatu 'YYYY-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Related Topics

String functions